Trouble communicating APIs with my Qt GUI USB PCAN

This is a forum dedicated to discuss suggestions about the functionality of any software product as well as the study of new interesting ideas to develop
Post Reply
phuongdv
Posts: 1
Joined: Wed 11. Jul 2018, 09:32

Trouble communicating APIs with my Qt GUI USB PCAN

Post by phuongdv » Tue 31. Jul 2018, 05:32

I recently bought a USB PCAN device. I am having trouble communicating APIs with my Qt GUI.

I'm using #include <libpcan.h> and #include <pcan.h> in my code as mentioned in a sample code. I'm compiling the code with the -lpcanfd compiler. When I add #include <libpcan.h> to the Qt header and compile my code, I get an error like this:

/usr/include/x86_64-linux-gnu/qt5/QtCore/qthread.h:53:16: error:
expected unqualified-id before 'void' static Qt :: HANDLE
currentThreadId () Q_DECL_NOTHROW;
If I comment #include <libpcan.h> the compilation process completes without error (s). Can anyone give me a solution? Excluding libpcant, I will not be able to use the device.

User avatar
S.Grosjean
Software Development
Software Development
Posts: 289
Joined: Wed 4. Jul 2012, 17:02

Re: Trouble communicating APIs with my Qt GUI USB PCAN

Post by S.Grosjean » Tue 31. Jul 2018, 16:39

Hi,

Can you give us an extract of your code, as well as the whole compilation cmd line and error message?

Generally speaking, you don't have to #include any <pcan.h> but only <libpcan.h> (or <libpcanfd.h>).

Thanks.
— Stéphane

Post Reply